Subject: Re: linux-next: build warnings after merge of the drivers-x86 tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 25 Mar 2022 08:55:22 +1100

Hi Hans,

On Thu, 24 Mar 2022 14:04:28 +0100 Hans de Goede <[email-masked]> wrote:
>
> So I did some digging and the trick for reproducing any ABI
> related warnings is to touch the .rst file which has the
> "kernel-abi" reST directive (1) for the ABI subdir you want
> to regenerate the ABI docs for.
> 
> So in this case I did:
> 
> touch Documentation/admin-guide/abi-testing.rst
> make htmldocs &> log

Looks like missing dependencies :-(

Thanks for persisting ad discovering this.

> And now I can see the warnings. I'll prepare a fix for this.

Excellent, thanks.

> Looking at Documentation/Makefile I also learned that you
> can also do this:
> 
> scripts/get_abi.pl validate --dir Documentation/ABI
> 
> Which results in a different set of warnings...

Wonderful :-(

-- 
Cheers,
Stephen Rothwell